#!/usr/bin/env python
# Filename: setup.py
"""
The {{cookiecutter.project_slug}} setup script.

"""
from setuptools import setup
import os


def read_requirements(kind):
    """Return a list of stripped lines from a file"""
    with open(os.path.join("requirements", kind + ".txt")) as fobj:
        return [l.strip() for l in fobj.readlines()]


try:
    with open("README.rst") as fh:
        long_description = fh.read()
except UnicodeDecodeError:
    long_description = "{{cookiecutter.description}}"

setup(
    name='{{cookiecutter.project_slug}}',
    url='{{cookiecutter.gitlab_repo_path}}',
    description='{{cookiecutter.description}}',
    long_description=long_description,
    author='{{cookiecutter.author}}',
    author_email='{{cookiecutter.email}}',
    packages=['{{cookiecutter.project_slug}}'],
    include_package_data=True,
    platforms='any',
    setup_requires=['setuptools_scm'],
    use_scm_version=True,
    python_requires='>=3.6',
    install_requires=read_requirements("install"),
    extras_require={kind: read_requirements(kind) for kind in ["dev"]},
    classifiers=[
        'Intended Audience :: Developers',
        'Intended Audience :: Science/Research',
        'Programming Language :: Python',
    ],
)
